Bug 1635093 - [RFE] Remove Hosts with alerts disabled' from the "Host Configuration Chart"
Summary: [RFE] Remove Hosts with alerts disabled' from the "Host Configuration Chart"
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Dashboard
Version: 6.3.2
Hardware: Unspecified
OS: Unspecified
low
low vote
Target Milestone: 6.7.0
Assignee: satellite6-bugs
QA Contact: Radovan Drazny
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-10-02 05:58 UTC by soham
Modified: 2020-04-14 13:23 UTC (History)
8 users (show)

Fixed In Version: foreman-1.24.0-0.14.RC3
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:23:25 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 28057 Low Closed Remove Hosts with alerts disabled' from the "Host Configuration Chart" 2020-03-15 09:35:57 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:23:40 UTC

Description soham 2018-10-02 05:58:18 UTC
Description of problem: In the overview page of the satellite GUI we can see the host configuration chart graph which is mainly formed based on the puppet reports. It also reports for esx/hypervisors associated with the satellite. We cannot install puppet on the hypervisors hence it will never show a full okay or green. The workaround is provided in case 02189577


Version-Release number of selected component (if applicable):


How reproducible: Login to web ui of the satellite which has hypervisors registered.


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info: Please refer case 02189577

Comment 1 Marek Hulan 2018-10-02 06:16:08 UTC
This should have been fixed by BZ 1496218 but probably only on newly reported hypervisors. To fix this behavior, edit the host, go to Additional Information and make sure the "Enabled" checkbox is unchecked on all your hypervisors.

I'm closing this as there's no code change needed but please, let me know if I either misunderstood or the steps above do not resolve the issue, we can reopen.

Comment 3 Marek Hulan 2018-10-04 05:37:50 UTC
Why is that an issue? Isn't it good to know, how many hosts have reporting disabled?

Comment 4 Anand Agrawal 2018-10-04 06:40:16 UTC
Hello Marek,

Yes, that is good to know, how many hosts have reporting disabled. But we get this information from the "Host configuration Status" widget already. Do we need to have this plotted in the chart as well?

Comment 6 JazPerSen 2018-10-05 08:33:56 UTC
Referring to how a normal monitoring software operates; when you disable hosts or services deliberately, it's expected that these is no longer visible in the operations everyday statistics/dashboard health check. 

In such systems you will of course be able to see them in selected statistics - if actively looking for that kind of info.

To realize this RFE, maybe create a replica of the existing "Host Configuration chart", where the only change would be that it disregards the "hosts with alerts disabled"?

Comment 7 Marek Hulan 2018-10-08 06:49:25 UTC
Hm, I like mostly the option to drop disabled hosts from the chart. Looking at it from user perspective, the trending of this count is not very interesting and as stated in comment 4, current status could be still found in "Host configuration Status".

So can we agree that dropping "Hosts with alerts disabled"
from the "Host Configuration Chart" is the expected fix?

Comment 8 JazPerSen 2018-10-08 07:24:24 UTC
Fine with me, either way.

Comment 9 JazPerSen 2018-10-18 13:53:11 UTC
Hello, Marek.
Anything else I have to do for this RFE to advance?

Comment 10 Marek Hulan 2018-10-19 06:28:51 UTC
No, thank you. It would be good to hear from original reporter, if solution suggested in comment 7 is acceptable. Then it's just on us to find time to implement. This one should be easy though.

Comment 11 JazPerSen 2018-10-19 07:36:41 UTC
That would be me :-)

As long as there is some way to have a chart that disregards the "hosts with alerts disabled", it's fine with me.

Comment 12 Marek Hulan 2019-10-15 07:29:16 UTC
Created redmine issue https://projects.theforeman.org/issues/28057 from this bug

Comment 13 Bryan Kearney 2019-10-22 12:05:26 UTC
Upstream bug assigned to oprazak@redhat.com

Comment 14 Bryan Kearney 2019-10-22 12:05:28 UTC
Upstream bug assigned to oprazak@redhat.com

Comment 15 Bryan Kearney 2019-10-29 16:05:46 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/28057 has been resolved.

Comment 16 vijsingh 2019-12-16 10:01:09 UTC
ON_QA Verified 

@Satellite 6.7.0 snap 6.0

Steps/Observation:

 - "Hosts with alerts disabled" is no more part of "Host Configuration Chart" on Dashboard.

Comment 19 errata-xmlrpc 2020-04-14 13:23:25 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.